[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSource.Destroy

Remove a TDatasource instance from memory

## Declaration

Source position: db.pas line 1927

`public destructor TDataSource.Destroy; override;`

## Description

Destroy notifies all TDataLink instances connected to it that the dataset is no loner available, and then removes itself from the TDatalink instance. It then cleans up all resources and calls the inherited constructor.

## See also

TDatasource.Create |  | Create a new instance of TDatasource
TDatalink |  | Data event handling agent for controls